// ChildFrm.cpp : Implementierung der Klasse CChildFrame
//
#include "stdafx.h"
#include "Ecopay.h"

#include "ChildFrm.h"
#include "kosten.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CChildFrame
IMPLEMENT_DYNCREATE(CChildFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CChildFrame, CMDIChildWnd)

END_MESSAGE_MAP()

// CChildFrame-Erstellung/Zerstörung
CChildFrame::CChildFrame()
{
}

CChildFrame::~CChildFrame()
{
}

BOOL CChildFrame::PreCreateWindow( CREATESTRUCT& cs)
{
    if( !CMDIChildWnd::PreCreateWindow( cs))
        return FALSE;
    // remove the minimize, restore and close buttons in the top right corner of
    // the window; workaround to prevent a situation with all childframes closed
    cs.style &= ~WS_SYSMENU;

    // or only for the first window?
    //if( ((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIGetActive() == NULL)
    //  cs.style &= ~WS_SYSMENU;

    return TRUE;
}

// CChildFrame-Diagnose

#ifdef _DEBUG
void CChildFrame::AssertValid() const
{
    CMDIChildWnd::AssertValid();
}

void CChildFrame::Dump(CDumpContext& dc) const
{
    CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

// CChildFrame-Meldungshandler

